#!/bin/bash

# This is a simple start script template to run the JChiffresFX-3.0 application.
# Please check the following environment variables:

JAVA_HOME="/usr/lib/jvm/java-11-openjdk"
OPENJFX="`dirname $0`/javafx-sdk-14/lib"

# - $JAVA_HOME :
#   where to find the Java Runtime Environment (OpenJDK 11 or newer)
# - $OPENJFX :
#   where to find the OpenJavaFX modules
#   (version 11 or newer, version 14 or newer recommended)
#   (e.g. download OpenJFX14 from 'https://openjfx.io' for your platform
#    and unpack in this directory)

JAVA="${JAVA_HOME:+${JAVA_HOME}/bin/}java"

MODULE_PATH=jchiffresfx-3.0.jar\
:${OPENJFX}/javafx.base.jar\
:${OPENJFX}/javafx.controls.jar\
:${OPENJFX}/javafx.graphics.jar\
:${OPENJFX}/javafx.swing.jar

MAIN_MODULE='de.bernd_michaely.chiffres.fx/de.bernd_michaely.chiffres.fx.JChiffresFXApplication'

echo "Using JAVA    : »${JAVA}«"
echo "Using OpenJFX : »${OPENJFX}«"
echo "Module Path   : »${MODULE_PATH}«"
echo "MAIN_MODULE   : »${MAIN_MODULE}«"

${JAVA} --module-path "${MODULE_PATH}" --module "${MAIN_MODULE}"

